VULKAN_HPP_NAMESPACE::MemoryBarrier Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::MemoryBarrier:
[legend]

## Public Member Functions

| MemoryBarrier (AccessFlags srcAccessMask_=AccessFlags(), AccessFlags dstAccessMask_=AccessFlags())
| MemoryBarrier (VkMemoryBarrier const &rhs)
MemoryBarrier & | operator= (VkMemoryBarrier const &rhs)
MemoryBarrier & | setPNext (const void *pNext_)
MemoryBarrier & | setSrcAccessMask (AccessFlags srcAccessMask_)
MemoryBarrier & | setDstAccessMask (AccessFlags dstAccessMask_)
| operator VkMemoryBarrier const & () const
| operator VkMemoryBarrier & ()
bool | operator== (MemoryBarrier const &rhs) const
bool | operator!= (MemoryBarrier const &rhs) const

## Data Fields

const void * | pNext = nullptr
AccessFlags | srcAccessMask
AccessFlags | dstAccessMask

## Private Attributes

StructureType | sType = StructureType::eMemoryBarrier

## Detailed Description

Definition at line 22556 of file vulkan.hpp.

## Constructor & Destructor Documentation

## MemoryBarrier() [1/2]

VULKAN_HPP_NAMESPACE::MemoryBarrier::MemoryBarrier | ( | AccessFlags | srcAccessMask_ = `AccessFlags()`,
|  | AccessFlags | dstAccessMask_ = `AccessFlags()`
| ) |  |

inline

Definition at line 22558 of file vulkan.hpp.

: srcAccessMask( srcAccessMask_ )
, dstAccessMask( dstAccessMask_ )
{
}

## MemoryBarrier() [2/2]

VULKAN_HPP_NAMESPACE::MemoryBarrier::MemoryBarrier | ( | VkMemoryBarrier const & | rhs | ) |

inline

Definition at line 22565 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryBarrier ) );
}

References memcpy.

## Member Function Documentation

## operator VkMemoryBarrier &()

VULKAN_HPP_NAMESPACE::MemoryBarrier::operator VkMemoryBarrier & | ( |  | ) |

inline

Definition at line 22598 of file vulkan.hpp.

{
return *reinterpret_cast<VkMemoryBarrier*>(this);
}

## operator VkMemoryBarrier const &()

VULKAN_HPP_NAMESPACE::MemoryBarrier::operator VkMemoryBarrier const & | ( |  | ) | const

inline

Definition at line 22593 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMemoryBarrier*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MemoryBarrier::operator!= | ( | MemoryBarrier const & | rhs | ) | const

inline

Definition at line 22611 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

MemoryBarrier& VULKAN_HPP_NAMESPACE::MemoryBarrier::operator= | ( | VkMemoryBarrier const & | rhs | ) |

inline

Definition at line 22570 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryBarrier ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::MemoryBarrier::operator== | ( | MemoryBarrier const & | rhs | ) | const

inline

Definition at line 22603 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( srcAccessMask == rhs.srcAccessMask )
&& ( dstAccessMask == rhs.dstAccessMask );
}

References dstAccessMask, pNext, srcAccessMask, and sType.

Referenced by operator!=().

## setDstAccessMask()

MemoryBarrier& VULKAN_HPP_NAMESPACE::MemoryBarrier::setDstAccessMask | ( | AccessFlags | dstAccessMask_ | ) |

inline

Definition at line 22587 of file vulkan.hpp.

{
dstAccessMask = dstAccessMask_;
return *this;
}

References dstAccessMask.

## setPNext()

MemoryBarrier& VULKAN_HPP_NAMESPACE::MemoryBarrier::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 22575 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSrcAccessMask()

MemoryBarrier& VULKAN_HPP_NAMESPACE::MemoryBarrier::setSrcAccessMask | ( | AccessFlags | srcAccessMask_ | ) |

inline

Definition at line 22581 of file vulkan.hpp.

{
srcAccessMask = srcAccessMask_;
return *this;
}

References srcAccessMask.

## Field Documentation

## dstAccessMask

AccessFlags VULKAN_HPP_NAMESPACE::MemoryBarrier::dstAccessMask

Definition at line 22622 of file vulkan.hpp.

Referenced by operator==(), and setDstAccessMask().

## pNext

const void* VULKAN_HPP_NAMESPACE::MemoryBarrier::pNext = nullptr

Definition at line 22620 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## srcAccessMask

AccessFlags VULKAN_HPP_NAMESPACE::MemoryBarrier::srcAccessMask

Definition at line 22621 of file vulkan.hpp.

Referenced by operator==(), and setSrcAccessMask().

## sType

StructureType VULKAN_HPP_NAMESPACE::MemoryBarrier::sType = StructureType::eMemoryBarrier

private

Definition at line 22617 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryBarrier::MemoryBarrier
MemoryBarrier(AccessFlags srcAccessMask_=AccessFlags(), AccessFlags dstAccessMask_=AccessFlags())
Definition: vulkan.hpp:22558
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::MemoryBarrier::srcAccessMask
AccessFlags srcAccessMask
Definition: vulkan.hpp:22621
VULKAN_HPP_NAMESPACE::MemoryBarrier::sType
StructureType sType
Definition: vulkan.hpp:22617
VkMemoryBarrier
Definition: vulkan_core.h:2776
VULKAN_HPP_NAMESPACE::MemoryBarrier::dstAccessMask
AccessFlags dstAccessMask
Definition: vulkan.hpp:22622
VULKAN_HPP_NAMESPACE::MemoryBarrier::pNext
const void * pNext
Definition: vulkan.hpp:22620
VULKAN_HPP_NAMESPACE::MemoryBarrier::operator==
bool operator==(MemoryBarrier const &rhs) const
Definition: vulkan.hpp:22603